# Copyright 2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit go-module

DESCRIPTION="Remove clutter from Kubernetes manifests to make them more readable"
HOMEPAGE="https://github.com/itaysk/kubectl-neat"
SRC_URI="https://github.com/itaysk/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
		https://git.millerson.name/attachments/98032f23-8268-47c5-80b0-56fba4b77dd4 -> ${P}-vendor.tar.xz
		https://git.millerson.name/attachments/3cc1608b-260c-4f78-8f25-6d1008a57da6 -> ${P}-deps.tar.xz"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"

DEPEND=""
RDEPEND="${DEPEND}"
BDEPEND=""

src_compile() {
    ego build
}

src_install() {
    dobin ${PN}
}
